/*
 * Class WEL_LVS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_160 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_160 [] = {0xFF01,1551,159,0xFFFF};
static const EIF_TYPE_INDEX egt_2_160 [] = {0xFF01,159,0xFFFF};
static const EIF_TYPE_INDEX egt_3_160 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_160 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_160 [] = {0xFF01,159,0xFFFF};
static const EIF_TYPE_INDEX egt_6_160 [] = {0xFF01,159,0xFFFF};
static const EIF_TYPE_INDEX egt_7_160 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_160 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_160 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_160 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_160 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_160 [] = {0xFF01,159,0xFFFF};


static const struct desc_info desc_160[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_160), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_160), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_160), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_160), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_160), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_160), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_160), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_160), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_160), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_160), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_160), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_160), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x013F /*159*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_160), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4081, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4083, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4085, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4096, 0xFFFFFFFF},
};
void Init160(void)
{
	IDSC(desc_160, 0, 159);
	IDSC(desc_160 + 1, 1, 159);
	IDSC(desc_160 + 32, 106, 159);
}


#ifdef __cplusplus
}
#endif
